OBJS=$(patsubst %cpp,%o,$(wildcard *.cpp))
OBJSD=$(patsubst %cpp,%d,$(wildcard *.cpp))

.SUFFIXES: .cpp

CC=g++
CFLAGS+=-std=c++11 -O3 -I../include -I../include/sip -I./ -I../rtx_crypto -Wall -Wno-reorder -Wno-unknown-pragmas -Wno-switch -Wno-parentheses -Wno-unknown-pragmas -fmessage-length=0 -Wno-write-strings -Wno-delete-non-virtual-dtor -fPIC -MMD -MP
CPPFLAGS=

.cpp.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<
	
# All Target
all: librtx_sip.so

# Tool invocations
librtx_sip.so: $(OBJS) $(USER_OBJS)
	$(CC) -pthread -Wl,--no-as-needed -ldl -L../rtx_netlib -shared -o $@ $(OBJS) $(USER_OBJS) $(LIBS) -lrtx_netlib

# Other Targets
clean:
	-$(RM) $(LIBRARIES) $(CC_DEPS) $(C++_DEPS) $(C_UPPER_DEPS) $(CXX_DEPS) $(OBJS) $(OBJSD) $(CPP_DEPS) $(C_DEPS) librtx_sip.so
	-@echo ' '

.PHONY: all clean dependents
